# Serialized Form

## Package jdbm.btree

### Class jdbm.btree.BPage extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### isLeaf

    boolean isLeaf

Flag indicating if this is a leaf BPage.

#### keys

    Object[] keys

Keys of children nodes

#### values

    Object[] values

Values associated with keys. (Only valid if leaf BPage)

#### children

    long[] children

Children pages (recids) associated with keys. (Only valid if non-leaf BPage)

#### first

    int first

Index of first used item at the page

#### previous

    long previous

Previous leaf BPage (only if this BPage is a leaf)

#### next

    long next

Next leaf BPage (only if this BPage is a leaf)

### Class jdbm.btree.BTree extends Object implements Serializable

serialVersionUID:
  1L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Implement Externalizable interface.

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Implement Externalizable interface.

Throws:
  `IOException`

## Package jdbm.helper

### Class jdbm.helper.ByteArrayComparator extends Object implements Serializable

serialVersionUID:
  1L

### Class jdbm.helper.ByteArraySerializer extends Object implements Serializable

serialVersionUID:
  1L

### Class jdbm.helper.CacheEvictionException extends Exception implements Serializable

### Serialized Fields

#### _nested

    Exception _nested

Nested exception -- the original exception that occured, if any.

### Class jdbm.helper.DefaultSerializer extends Object implements Serializable

serialVersionUID:
  -3818545055661017388L

### Class jdbm.helper.IntegerComparator extends Object implements Serializable

serialVersionUID:
  1L

### Class jdbm.helper.IntegerSerializer extends Object implements Serializable

### Class jdbm.helper.IterationException extends WrappedRuntimeException implements Serializable

### Class jdbm.helper.LongComparator extends Object implements Serializable

serialVersionUID:
  1L

### Class jdbm.helper.LongSerializer extends Object implements Serializable

### Class jdbm.helper.ObjectBAComparator extends Object implements Serializable

serialVersionUID:
  1L

### Serialized Fields

#### _comparator

    Comparator<T> _comparator

Wrapped comparator.

### Class jdbm.helper.StringComparator extends Object implements Serializable

serialVersionUID:
  1L

### Class jdbm.helper.WrappedRuntimeException extends RuntimeException implements Serializable

### Serialized Fields

#### _except

    Exception _except

The underlying exception.

## Package jdbm.recman

### Class jdbm.recman.BlockIo extends Object implements Serializable

serialVersionUID:
  2L

### Serialization Methods

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Throws:
  `IOException`